unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure LabelClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.Button2Click(Sender: TObject);
var T: TLabel;
var i: integer;
begin
  for i:=1 to 9 do
    begin
      T := TLabel.Create(self);
      T.Caption := 'Label ' + IntToStr(i);
      T.Left := 10;
      T.Top := 10 + (20*i);
      T.OnClick := LabelClick;     // with '@' for FPC not in Delphi mode
      T.Parent := self;
    end;
  Button2.Enabled := false;         // to not create labels twice
end;

procedure TForm1.LabelClick(Sender: TObject);
begin
  ShowMessage(TLabel(Sender).Caption + ' clicked');
end;

end.
